Get workflows by IDs
Base URL
https://{kibana_url}
POST
/api/workflows/mget
POST
/s/{space_id} /api/workflows/mget
Auth
Retrieve multiple workflows by their IDs in a single request. Optionally use the source parameter to return only specific fields from each workflow document.
Privileges
workflowsManagement:read
or
workflowsManagement:managed:read
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
A required header to protect against CSRF attacks
{
}
ids
string [] · min items: 1 · max items: 500
required
Array of workflow IDs to look up.
source
string [] · min items: 1 · max items: 10
Array of source fields to include.
200
Indicates a successful response
application/json
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Request
Console
1 / 2 languages
‹
›
Example request to retrieve multiple workflows by their IDs
Show more
1
2
3
4
5
POST kbn://api/workflows/mget
{
"ids": ["workflow-a1b2c3d4-e5f6-7890-abcd-ef1234567890", "workflow-b2c3d4e5-f6a7-8901-bcde-f12345678901"],
"source": ["name", "enabled"]
}
1
2
3
4
5
6
7
8
9
curl \
-X POST "${KIBANA_URL}/api/workflows/mget" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "kbn-xsrf: true" \
-H "Content-Type: application/json" \
-d '{
"ids": ["workflow-a1b2c3d4-e5f6-7890-abcd-ef1234567890", "workflow-b2c3d4e5-f6a7-8901-bcde-f12345678901"],
"source": ["name", "enabled"]
}'
Response
Example response returning the requested workflows with projected fields
Show more
1
2
3
4
5
6
7
8
9
10
11
12
[
{
"enabled": true,
"id": "workflow-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Example definition"
},
{
"enabled": false,
"id": "workflow-b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "Second workflow"
}
]